<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
    lt_include( PLOG_CLASS_PATH."plugins/hostblock/class/view/adminblockedhostsview.class.php" );

    /**
     * Shows the list of hosts that have been globally blocked
     */
    class AdminBlockedHostsAction extends AdminAction 
	{

        function AdminBlockedHostsAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

            $this->requirePermission( "manage_admin_plugins" );            
        }

        /**
         * Carries out the specified action
         */
        function perform()
        {
            $this->_view = new AdminBlockedHostsView( $this->_blogInfo );

            $this->setCommonData();

            // better to return true if everything fine
            return true;
        }
    }
?>
